%define build_plugin 0

Name:		xrx
Version:	1.0.4
Release:	%mkrel 9
Summary:	RX helper program
Group:		Development/X11
Source0:	http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
License:	MIT
BuildRequires:	pkgconfig(x11) >= 1.0.0
BuildRequires:	pkgconfig(xau) >= 1.0.0
BuildRequires:	pkgconfig(xext) >= 1.0.0
BuildRequires:	pkgconfig(xt) >= 1.0.0
BuildRequires:	pkgconfig(xaw7) >= 1.0.1
BuildRequires:	x11-util-macros >= 1.0.1
BuildRequires:	pkgconfig(xtrans) >= 1.0.0
%if %build_plugin
# for npapi.h
BuildRequires:	xulrunner-devel
%endif

%description
The xrx helper program may be used with any Web browser to interpret documents
in the RX MIME type format and start remote applications.

%if %build_plugin
%package plugin
Group:		Development/X11
Summary:	RX browser plugins
Obsoletes:	%{mklibname xrx 0} < %{version}-%{release}
Obsoletes:	%{mklibname xrxnest 0} < %{version}-%{release}
Obsoletes:	%{mklibname xrx -d} < %{version}-%{release}
Obsoletes:	%{mklibname xrx -d -s} < %{version}-%{release}

%description plugin
Mozilla-type browser plugins to allow the handling of documents in the
RX MIME type format to start remote applications.
%endif

%prep
%setup -q
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

%if %build_plugin
mkdir -p %{buildroot}%{_libdir}/mozilla/plugins
mv %{buildroot}%{_libdir}/*.so %{buildroot}%{_libdir}/mozilla/plugins
%else
rm -f %{buildroot}%{_libdir}/*.so
rm -f %{buildroot}%{_mandir}/man1/libxrx.*
%endif

rm -f %{buildroot}%{_libdir}/*.*a

%files
%{_bindir}/xrx
%{_mandir}/man1/xrx.1*

%if %build_plugin
%files plugin
%{_libdir}/mozilla/plugins/*.so
%{_mandir}/man1/libxrx.1*
%endif


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.0.4-9.mga8
+ Revision: 1518907
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.0.4-8.mga7
+ Revision: 1301972
- Mageia 7 Mass Rebuild

* Thu Jul 12 2018 wally <wally> 1.0.4-7.mga7
+ Revision: 1243301
- fix build on aarch64
- use new make macros

* Mon Feb 08 2016 umeabot <umeabot> 1.0.4-6.mga6
+ Revision: 946795
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.4-5.mga5
+ Revision: 747430
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.4-4.mga5
+ Revision: 690764
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.4-3.mga4
+ Revision: 520829
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0.4-2.mga3
+ Revision: 387375
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 pterjan <pterjan> 1.0.4-1.mga1
+ Revision: 37323
- Disable mozilla plugin, unlikely to get ported to recent firefox
- Update to 1.0.4
+ ennael <ennael>
- imported package xrx


* Tue Aug 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.0.3-1mdv2010.0
+ Revision: 408929
- new release

* Sat Mar 28 2009 Funda Wang <fundawang@mandriva.org> 1.0.2-2mdv2009.1
+ Revision: 361987
- rebuild for new xaw

* Sun Dec 21 2008 Adam Williamson <awilliamson@mandriva.org> 1.0.2-1mdv2009.1
+ Revision: 316853
- rebuild
- the .so files are mozilla browser plugins, not shared libraries. Reading
  the README is generally a good idea.

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - BuildRequires mozilla-firefox-devel for npapi.h
    - new release
    - fix build breakage introduced by "Revert to use upstream tarball, ..."
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert to use upstream tarball, build requires and remove non mandatory local patches.

* Thu Jan 17 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.1-8mdv2008.1
+ Revision: 154305
- Updated BuildRequires and resubmit package.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 31 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.1-7mdv2008.0
+ Revision: 76568
- obsoletes xrx-static-devel, provides xrx-devel and xrx-static-devel

* Fri Aug 17 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.1-6mdv2008.0
+ Revision: 64690
- rebuild for 2008
- new devel policy
- spec clean


* Fri Sep 01 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-09-01 21:02:00 (59501)
- rebuild to fix libXaw.so.8 dependency

* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

